package com.djhk.uav.equ.mapper;



import com.djhk.uav.equ.domain.EquModel;
import com.djhk.uav.equ.domain.vo.EquModelExportVo;

import java.util.List;

/**
 * 设备型号Mapper接口
 * 
 * @author huangqg
 * @date 2023-06-01
 */
public interface EquModelMapper 
{
    /**
     * 查询设备型号
     *
     * @param modelId 设备型号主键
     * @return 设备型号
     */
    public EquModel selectEquModelByModelId(Long modelId);

    /**
     * 查询设备型号列表
     * 
     * @param equModel 设备型号
     * @return 设备型号集合
     */
    public List<EquModel> selectEquModelList(EquModel equModel);

    /**
     * 新增设备型号
     *
     * @param equModel 设备型号
     * @return 结果
     */
    public int insertEquModel(EquModel equModel);

    List<EquModel> checkModelCode(String modelCode);

    /**
     * 修改设备型号
     *
     * @param equModel 设备型号
     * @return 结果
     */
    public int updateEquModel(EquModel equModel);

    /**
     * 删除设备型号
     *
     * @param modelId 设备型号主键
     * @return 结果
     */
    public int deleteEquModelByModelId(Long modelId);

    int deleteEquModelByModelIds(Long[] modelIds);

    List<EquModel> selectEquInfoExportList(EquModelExportVo equInfoExportVo);
//
//    /**
//     * 批量删除设备型号
//     *
//     * @param modelIds 需要删除的数据主键集合
//     * @return 结果
//     */
//    public int deleteEquModelByModelIds(Long[] modelIds);

    

}
